name: YouTubeAudio-macOS
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "16.0"
  generateEmptyDirectories: true

settings:
  base:
    PRODUCT_NAME: YouTubeAudio-macOS
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"
    SWIFT_VERSION: "5.0"
    GENERATE_INFOPLIST_FILE: NO
    INFOPLIST_FILE: Info.plist

targets:
  YouTubeAudio-macOS:
    type: application
    platform: macOS
    sources:
      - path: App
      - path: Models
      - path: Services
      - path: Views
      - path: Resources
    settings:
      base:
        INFOPLIST_FILE: Info.plist
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.YouTubeAudio-macOS
        CODE_SIGN_STYLE: Automatic
        DEVELOPMENT_TEAM: ""
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
